package com.muyu.config.util;

import com.alibaba.fastjson2.JSONObject;
import com.muyu.common.core.domain.Result;
import org.apache.http.HttpResponse;
import org.apache.http.util.EntityUtils;

import java.util.HashMap;
import java.util.Map;

/**
 * @author dori
 * @date 2024/4/17 10:18
 * @description 实名认证
 */
public class SfUtil {
    public static Result<Standing> query(StandingRes standingRes) {
        String host = "https://kzidcardv1.market.alicloudapi.com";
        String path = "/api-mall/api/id_card/check";
        String method = "POST";
        String appcode = "8a8d22ef01b0444e9716c26f7d089149";
        Map<String, String> headers = new HashMap<String, String>();
        //最后在header中的格式(中间是英文空格)为Authorization:APPCODE 83359fd73fe94948385f570e3c139105
        headers.put("Authorization", "APPCODE " + appcode);
        //根据API的要求，定义相对应的Content-Type
        headers.put("Content-Type", "application/x-www-form-urlencoded; charset=UTF-8");
        Map<String, String> querys = new HashMap<String, String>();
        Map<String, String> bodys = new HashMap<String, String>();
        bodys.put("name", standingRes.getName());
        bodys.put("idcard", standingRes.getIdCard());
        Standing standing = new Standing();
        try {
            /**
             * 重要提示如下:
             * HttpUtils请从
             * https://github.com/aliyun/api-gateway-demo-sign-java/blob/master/src/main/java/com/aliyun/api/gateway/demo/util/HttpUtils.java
             * 下载
             *
             * 相应的依赖请参照
             * https://github.com/aliyun/api-gateway-demo-sign-java/blob/master/pom.xml
             */
            HttpResponse response = HttpUtils.doPost(host, path, method, headers, querys, bodys);
//            System.out.println(response.toString());
            //获取response的body
            String string = EntityUtils.toString(response.getEntity());
            JSONObject jsonObject = JSONObject.parseObject(string);
            String string1 = jsonObject.getString("data");
            standing = JSONObject.parseObject(string1, Standing.class);
            if(standing.getAddress()==null){
                return Result.error(500,null);
            }
            System.out.println(string1);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return Result.success(standing);
    }

}
