package com.muyu.system.controller;

import com.muyu.common.core.domain.Result;
import com.muyu.system.domain.Connector;
import com.muyu.system.domain.ConnectorUser;
import com.muyu.system.service.BuyService;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Author：chaiyapeng
 * @Package：com.muyu.system.controller
 * @Project：cloud-system
 * @name：BuyInterface
 * @Date：2024/9/1 14:37
 */
@RestController
@RequestMapping("/buy")
@Tag(name = "BuyMapper", description = "购买接口")
public class BuyInterface {
    @Autowired
    private BuyService buyService;

    /**
     * 购买API接口
     * @param connectorUser
     * @return
     */
    @PostMapping("/doBuyInterface")
    public Result doBuyInterface(@RequestBody ConnectorUser connectorUser){
        return buyService.doBuyInterface(connectorUser);
    }
}
